/***************************************************************************
 *   Copyright (C) 2004 by Stephen McInerney                               *
 *   spm@stedee.id.au                                                      *
 *   									   *
 *   $Id: messages.c 24 2005-04-15 06:34:48Z steve $
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

/************************************************************************
 ************************************************************************
 * messages.c
 *
 *  All the various messages to be used
 *
 ************************************************************************
 ************************************************************************/

#include "visitors.h"

int g_verbosity = VERBOSE0;                     /* How many extra stuff to show. If 0, none
                                                   Bigger numbers, show more. */

/************************************************************************
 * 				MESSAGES				*
 *									*
 * Are of the format msg_<level>_<name>					*
 *  Where level is:							*
 *    I :- Informational						*
 *    W :- Warning							*
 *    E :- Error, but not fatal						*
 *    F :- Fatal Error							*
 *									*
 *    vx : - where x is numerical from 1 (1,2,3 etc)			*
 *    		is a debugging/verbosity message			*
 *    		The higher the number, the less likely to be seen	*
 ************************************************************************/
const char *msg_I_number_bad_lines = "INFO: Log Files(s) had BAD lines: ";


const char *msg_W_exceeded_verbosity = "WARN: Too many 'v' options. Setting to Max Verbosness%s";
const char *msg_W_line_too_big = "WARN: Line too big. Ignoring.";
const char *msg_W_re_match_failed = "WARN: No Regular Expression Match. Line: %lu  %s";
const char *msg_W_re_match_error = "WARN: Regular Expression Matching Error: %d. Line: %lu  %s";


const char *msg_v1_hashdb = "Entering: Open Hash DB";
const char *msg_v2_create_hashdb = "Creating Hash DB: ";
const char *msg_v2_create_dbcache = "Setting Cache Size for Hash DB: ";
const char *msg_v2_no_dbcache = "Cache <= 0. Not Creating. Size: ";


const char *msg_E_log_misordered = "ERROR! Current Time is older than 1st logged time entry: ";
const char *msg_E_re_too_many_substrings = "ovector only has room for %d captured substrings\n";
const char *msg_E_pcre_unknown = "ERROR! Unknown PCRE Error: %d\n";
const char *msg_E_pcre_no_memory = "ERROR! PCRE Insufficient Memory.";
const char *msg_E_pcre_nonexist_substring = "ERROR! PCRE Substring doesn't exist.";
const char *msg_E_substring_extraction = "ERROR! Failed to extract substring: ";


const char *msg_F_db_create = "FATAL ERROR! DB Create Failure: %s\n";
const char *msg_F_db_cache = "FATAL ERROR! DB Set Cache Size Failure: %s\n";
const char *msg_F_db_close = "FATAL ERROR! Error closing DB. Possible Corruption! : %d\n";
const char *msg_F_db_cursor_create = "FATAL ERROR! DB Cursor Creation Failed.%s\n";

const char *msg_F_file_open = "FATAL ERROR! Failed to open file: ";
const char *msg_F_mem_alloc_hash = "FATAL ERROR! Failed to allocate memory for hash data.";
const char *msg_F_memory_alloc = "FATAL ERROR! Failed to allocate memory.";

const char *msg_F_buffer_missing = "FATAL ERROR! Input buffer is not set.";

const char *msg_F_pcre_failed_compilation = "FATAL ERROR! PCRE compilation failed at offset %d: %s\nUsing Reg Exp: %s\n";
const char *msg_F_run_start_datetime = "FATAL ERROR! Can't extract starting date/time. Sorry things didn't work out...";
const char *msg_F_vital_substring = "FATAL ERROR! Failed to extract vital substring.";

/* END OF FILE */
