/***************************************************************************
 *   Copyright (C) 2004 by Stephen McInerney                               *
 *   spm@stedee.id.au                                                      *
 *                                                                         *
 *   $Id$
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

/***************************************************************************
 ***************************************************************************
 * queries.h
 *
 * Header for doing raw queries of the visitors DB
 ***************************************************************************
 ***************************************************************************/

/***************************************************************************
 ***************************************************************************
 * ModificationHistory:
 **********************
 * 12-Jun-2005 steve     Initial Creation - extracted from visitors.h
 *
 ***************************************************************************
 ***************************************************************************/

#ifndef VISITORS_QUERIES_H
#define VISITORS_QUERIES_H 1


#define DAYS_IN_YEAR 366
#define YEARS_TO_TRACK 10

/************************************************************************
 *                              GLOBALS                                 *
 ************************************************************************/

extern bool flag_query_mode;                    /* Run in Query mode - additional flags for more details */
extern int g_qry_unseen_since;                  /* Query: Shows numbers of visitors unseen in the last X days */
extern bool flag_qry_access_delta;              /* Query: number of visitors per number of days between first and most recent visits.
                                                     eg. 4 visited on Mon. 3 came back on Tue. 1 on Wed.
                                                     Will output:
                                                        1  3
                                                        2  1
                                                     This counts via a date day, not a 24 hour period.
                                                     */

/************************************************************************
 * 				FUNCTIONS				*
 ************************************************************************/
extern void do_queries (DB **);                 /* Do the queries */

#endif          /* VISITORS_QUERIES_H */


/************************************************************************
 ************************************************************************
 *                      END OF FILE                                     *
 ************************************************************************
 ************************************************************************/
