/***************************************************************************
 *   Copyright (C) 2004 by Stephen McInerney                               *
 *   spm@stedee.id.au                                                      *
 *   									   *
 *   $Id: xmalloc.c 24 2005-04-15 06:34:48Z steve $
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

/***************************************************************************
 ***************************************************************************
 * xmalloc.c
 *
 *  dealing with memory: functional wrappers
 *
 ***************************************************************************
 ***************************************************************************/

#if HAVE_CONFIG_H
#  include <config.h>
#endif

#include "common.h"
#include "error.h"
#include "messages.h"


/************************************************************************
 * xmalloc	                                                        *
 *									*
 * Wrapper around calling malloc					*
 * Will also zero the allocated memory					*
 * **********************************************************************/
void *
xmalloc (size_t size)
{
    void *data_ptr;                             /* data pointer; result of calling malloc */

    data_ptr = malloc (size);
    if (data_ptr == NULL) {
        fprintf (stderr, "%s\n", msg_F_memory_alloc);
        exit (V_EXIT_MEMORY_EXHAUSTION);
    }
    memset (data_ptr, 0, size);                 /* And zero this chunk of memory */

    return (data_ptr);
}

/* END OF FILE */
